
%global meadversion 4.5.12
%global namedversion 4.5.12.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with extras
%bcond_with javadoc
%bcond_without mead
%bcond_with tests

%{?scl:%scl_package httpcomponents-client}
%{!?scl:%global pkg_name %{name}}

%define maven_version 4.5.12.redhat-00001

Name:           %{?scl_prefix}httpcomponents-client
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        HttpComponents Client
Group:          Development/Java

%if %with mead
Source100: httpcomponents-client-4.5.12.redhat-00001-project-sources.tar.gz
Source102: httpmime-4.5.12.redhat-00001-javadoc.jar
Source103: httpclient-cache-4.5.12.redhat-00001.jar
Source104: fluent-hc-4.5.12.redhat-00001.pom
Source105: httpcomponents-client-4.5.12.redhat-00001-javadoc.jar
Source106: fluent-hc-4.5.12.redhat-00001-sources.jar
Source107: httpclient-osgi-4.5.12.redhat-00001.jar
Source108: httpclient-win-4.5.12.redhat-00001.pom
Source109: httpclient-4.5.12.redhat-00001.pom
Source110: httpclient-4.5.12.redhat-00001-sources.jar
Source111: httpclient-osgi-4.5.12.redhat-00001-javadoc.jar
Source112: httpclient-osgi-4.5.12.redhat-00001.pom
Source113: httpclient-win-4.5.12.redhat-00001.jar
Source114: httpclient-cache-4.5.12.redhat-00001-tests.jar
Source115: httpclient-cache-4.5.12.redhat-00001-javadoc.jar
Source116: httpclient-cache-4.5.12.redhat-00001-sources.jar
Source117: httpmime-4.5.12.redhat-00001.pom
Source118: httpcomponents-client-4.5.12.redhat-00001.pom
Source119: httpclient-cache-4.5.12.redhat-00001.pom
Source120: httpmime-4.5.12.redhat-00001-sources.jar
Source121: httpclient-4.5.12.redhat-00001-javadoc.jar
Source122: httpclient-4.5.12.redhat-00001.jar
Source123: httpclient-osgi-4.5.12.redhat-00001-sources.jar
Source124: httpmime-4.5.12.redhat-00001.jar
Source125: httpclient-4.5.12.redhat-00001-tests.jar
Source126: fluent-hc-4.5.12.redhat-00001-javadoc.jar
Source127: httpclient-win-4.5.12.redhat-00001-javadoc.jar
Source128: fluent-hc-4.5.12.redhat-00001.jar
Source129: httpclient-win-4.5.12.redhat-00001-sources.jar
%endif

License:        ASL 2.0
URL:            http://hc.apache.org/httpcomponents-client
Provides:       %{?scl_prefix}httpclient = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}httpmime = %{epoch}:%{version}-%{release}
%if %with extras
Provides:       %{?scl_prefix}fluent-hc = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}httpclient-cache = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}httpclient-osgi = %{epoch}:%{version}-%{release}
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Apache HttpComponents Client is a library of components for building client side
HTTP services.

%if %with javadoc
%package javadoc
Summary:        Javadoc for httpcomponents-client
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n httpcomponents-client-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/httpclient-%{namedversion}.jar %{buildroot}%{_javadir}/httpclient-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/httpclient-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/httpclient-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/httpclient-%{namedversion}-sources.jar %{buildroot}%{_javadir}/httpclient-%{namedversion}-sources.jar
%if %with tests
%{__cp} -p %{_sourcedir}/httpclient-%{namedversion}-tests.jar %{buildroot}%{_javadir}/httpclient-%{namedversion}-tests.jar
%endif
%{__cp} -p %{_sourcedir}/httpmime-%{namedversion}.jar %{buildroot}%{_javadir}/httpmime-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/httpmime-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/httpmime-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/httpmime-%{namedversion}-sources.jar %{buildroot}%{_javadir}/httpmime-%{namedversion}-sources.jar
%if %with extras
%{__cp} -p %{_sourcedir}/fluent-hc-%{namedversion}.jar %{buildroot}%{_javadir}/fluent-hc-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/fluent-hc-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/fluent-hc-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/fluent-hc-%{namedversion}-sources.jar %{buildroot}%{_javadir}/fluent-hc-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpclient-cache-%{namedversion}.jar %{buildroot}%{_javadir}/httpclient-cache-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/httpclient-cache-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/httpclient-cache-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/httpclient-cache-%{namedversion}-sources.jar %{buildroot}%{_javadir}/httpclient-cache-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpclient-osgi-%{namedversion}.jar %{buildroot}%{_javadir}/httpclient-osgi-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/httpclient-osgi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/httpclient-osgi-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/httpcomponents-httpclient-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/httpcomponents-httpclient-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/httpcomponents-httpclient-%{namedversion} -x META-INF/\*
%{__ln_s} httpcomponents-httpclient-%{namedversion} %{buildroot}%{_javadocdir}/httpcomponents-httpclient
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc BUILDING.txt LICENSE.txt NOTICE.txt README.txt RELEASE_NOTES.txt
%{_javadir}/httpclient-%{namedversion}.jar
%{_javadir}/httpclient.jar
%if %with javadoc
%{_javadir}/httpclient-%{namedversion}-javadoc.jar
%{_javadir}/httpclient-javadoc.jar
%endif
%{_javadir}/httpclient-%{namedversion}-sources.jar
%{_javadir}/httpclient-sources.jar
%if %with tests
%{_javadir}/httpclient-%{namedversion}-tests.jar
%{_javadir}/httpclient-tests.jar
%endif
%{_javadir}/httpmime-%{namedversion}.jar
%{_javadir}/httpmime.jar
%if %with javadoc
%{_javadir}/httpmime-%{namedversion}-javadoc.jar
%{_javadir}/httpmime-javadoc.jar
%endif
%{_javadir}/httpmime-%{namedversion}-sources.jar
%{_javadir}/httpmime-sources.jar
%if %with extras
%{_javadir}/fluent-hc-%{namedversion}.jar
%{_javadir}/fluent-hc.jar
%if %with javadoc
%{_javadir}/fluent-hc-%{namedversion}-javadoc.jar
%{_javadir}/fluent-hc-javadoc.jar
%endif
%{_javadir}/fluent-hc-%{namedversion}-sources.jar
%{_javadir}/fluent-hc-sources.jar
%{_javadir}/httpclient-cache-%{namedversion}.jar
%{_javadir}/httpclient-cache.jar
%if %with javadoc
%{_javadir}/httpclient-cache-%{namedversion}-javadoc.jar
%{_javadir}/httpclient-cache-javadoc.jar
%endif
%{_javadir}/httpclient-cache-%{namedversion}-sources.jar
%{_javadir}/httpclient-cache-sources.jar
%{_javadir}/httpclient-osgi-%{namedversion}.jar
%{_javadir}/httpclient-osgi.jar
%{_javadir}/httpclient-osgi-%{namedversion}-sources.jar
%{_javadir}/httpclient-osgi-sources.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/httpcomponents-client-%{namedversion}
%{_javadocdir}/httpcomponents-client
%endif

%changelog
* Mon May 25 2020 Yong Yang <yyang@redhat.com> - 4.5.12-1.redhat_00001.1
- RPM wrapper build 4.5.12.redhat-00001

* Thu Feb 06 2020 Permaine Cheung <pcheung@redhat.com> - 4.5.11-1.redhat_00001.1
- 4.5.11.redhat-00001

* Thu Feb 06 2020 Permaine Cheung <pcheung@redhat.com> - 4.5.4-2.redhat_00001.1
- 4.5.11.redhat-00001

* Thu Feb 06 2020 Permaine Cheung <pcheung@redhat.com> - 4.5.4-2.redhat_00001.1
- 4.5.11.redhat-00001

* Wed May 22 2019 Permaine Cheung <pcheung@redhat.com> - 4.5.4-1.redhat_00001.1
- 4.5.4.redhat_00001

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 4.5.2-3.redhat_2.1
- Rewrap for 7.2.0

* Thu May 03 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 4.5.2-2.redhat_2.1
- upgrade to 4.5.2.redhat-2

* Thu May 03 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 4.5.2-2.redhat_2.1
- upgrade to 4.5.2.redhat-2

* Fri Jan 20 2017 Petr Sakar <psakar@redhat.com> - 4.5.2-1.redhat_1.1
- upgrade to 4.5.2.redhat-1

* Tue Aug 25 2015 Hui Wang <huwang@redhat.com> - 4.5.0-1.redhat_1.1
- Upgrade to 4.5.0.redhat-1

* Wed May 13 2015 David Walluck <dwalluck@redhat.com> - 4.3.6-2.redhat_3.1
- rebuild to fix goals

* Mon May 11 2015 David Walluck <dwalluck@redhat.com> - 4.3.6-1.redhat_2.1
- fix setup

* Mon May 11 2015 David Walluck <dwalluck@redhat.com> - 4.3.6-1.redhat_2.1
- release

